//*********************************************************
//
// Copyright (c) Microsoft. All rights reserved.
// This code is licensed under the MIT License (MIT).
// THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
// IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
// PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

#pragma once

#include "DXSample.h"

class DXSample;

class Main_Sample;

const int Nucleosome_amount = 67548;


class Win32Application_3D
{
public:
	static int Run(DXSample* pSample, HINSTANCE hInstance, int nCmdShow);
	static HWND m_hwnd;
	static HWND GetHwnd() { return m_hwnd; }
	
protected:
	static LRESULT CALLBACK WindowProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

private:
	
};

class Win32Application_Main
{

public:
	static int Run_Main(HINSTANCE hInstance, int nCmdShow);
	static HWND GetHwnd() { return hWnd; }
	static void Nucleosome_Array();
	static int Nucleosome_position[];
	static int Nucleosome_chromosome[];
	static HWND hWnd;


protected:
	static LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
	static LRESULT CALLBACK WndProc_child(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

private:
	
};


